Bug 85658 - Painting collapsed borders during scrolling
Summary: Painting collapsed borders during scrolling
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Robert Hogan
URL: http://test.csswg.org/suites/css2.1/n...
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-04 13:30 PDT by Robert Hogan
Modified: 2013-06-11 11:11 PDT (History)
7 users (show)

See Also:


Attachments
Patch (6.43 KB, patch)
2013-06-03 04:54 PDT, Robert Hogan
no flags Details | Formatted Diff | Diff
Patch (6.48 KB, patch)
2013-06-03 04:59 PDT, Robert Hogan
no flags Details | Formatted Diff | Diff
Patch (6.49 KB, patch)
2013-06-03 05:03 PDT, Robert Hogan
hyatt: review+
buildbot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from webkit-ews-14 for mac-mountainlion-wk2 (465.33 KB, application/zip)
2013-06-03 06:42 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Hogan 2012-05-04 13:30:00 PDT
If you make the viewport very small on the above test and scroll up and down the borders on the first table aren't painted properly. RenderTableSection::paintObject() needs to call paintCollapsedBorders() an extra row up beyond the one that's dirty in order to render the borders correctly I think.
Comment 1 Robert Hogan 2013-06-03 04:54:09 PDT
Created attachment 203575 [details]
Patch
Comment 2 Robert Hogan 2013-06-03 04:59:50 PDT
Created attachment 203576 [details]
Patch
Comment 3 Robert Hogan 2013-06-03 05:03:34 PDT
Created attachment 203578 [details]
Patch
Comment 4 Build Bot 2013-06-03 06:42:25 PDT
Comment on attachment 203578 [details]
Patch

Attachment 203578 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/758287

New failing tests:
fast/repaint/table-cell-collapsed-border-scroll.html
Comment 5 Build Bot 2013-06-03 06:42:27 PDT
Created attachment 203582 [details]
Archive of layout-test-results from webkit-ews-14 for mac-mountainlion-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: webkit-ews-14  Port: mac-mountainlion-wk2  Platform: Mac OS X 10.8.3
Comment 6 Dave Hyatt 2013-06-03 10:34:48 PDT
Comment on attachment 203578 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=203578&action=review

r=me

> Source/WebCore/ChangeLog:10
> +        WHen painting collapsed borders we need to paint the borders of the row above

Little typo. "WHen" should be "When"
Comment 7 Robert Hogan 2013-06-11 11:11:57 PDT
Committed r151444: <http://trac.webkit.org/changeset/151444>